Bug 827660 - [abrt] emesene-2.11.11-3.fc17: Hotmail.py:46:_get_login_page:AttributeError: 'Profile' object has no attribute 'request_mail_url'
[abrt] emesene-2.11.11-3.fc17: Hotmail.py:46:_get_login_page:AttributeError: ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: emesene (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
abrt_hash:c6f77a58b31408bb2f5673b5d2f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 01:58 EDT by erjacker
Modified: 2013-07-31 20:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:54:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description erjacker 2012-06-02 01:58:12 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /usr/lib/python2.7/site-packages/emesene/emesene
comment:        al pulsar el boton para ir a la bandeja de correo (el que pone el numero de correos nuevos)
executable:     /usr/lib/python2.7/site-packages/emesene/emesene
kernel:         3.3.7-1.fc17.x86_64
time:           mié 30 may 2012 06:17:50 CEST
uid:            1000
username:       braveman

backtrace:
:Hotmail.py:46:_get_login_page:AttributeError: 'Profile' object has no attribute 'request_mail_url'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/emesene/gui/gtkui/MainWindow.py", line 106, in _on_mail_click
:    self.on_mail_click()
:  File "/usr/lib/python2.7/site-packages/emesene/gui/base/MainWindowBase.py", line 42, in on_mail_click
:    self._mail.open_in_browser()
:  File "/usr/lib/python2.7/site-packages/emesene/gui/base/MailManager.py", line 29, in open_in_browser
:    Desktop.open(self._get_mail_url())
:  File "/usr/lib/python2.7/site-packages/emesene/gui/base/MailManager.py", line 39, in _get_mail_url
:    return hotmail._get_login_page()
:  File "/usr/lib/python2.7/site-packages/emesene/gui/base/Hotmail.py", line 46, in _get_login_page
:    post_url, token = self.profile.request_mail_url()
:AttributeError: 'Profile' object has no attribute 'request_mail_url'
:
:Local variables in innermost frame:
:post_url: None
:message_url: None
:self: <gui.base.Hotmail.Hotmail instance at 0x2765290>
:id: '2'

smolt_data:
:
:
:General
:=================================
:UUID: f1c6c06f-9e11-4133-9049-acc752c9a3ad
:SO: Fedora release 17 (Beefy Miracle)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_ES.utf8
:Plataforma: x86_64
:BogoMIPS: 5625.62
:Fabricante de CPU: AuthenticAMD
:Modelo de CPU: AMD Athlon(tm) II X2 240 Processor
:Paso del UCP: 2
:Familia de UCP: 16
:Número de Modelo de CPU: 6
:Número de CPUs: 2
:Velocidad del CPU: 2800
:Memoria del Sistema: 1751
:Intercambio (swap) del Sistema: 0
:Vendedor: To Be Filled By O.E.M.
:Sistema: To Be Filled By O.E.M. To Be Filled By O.E.M.
:Factor de forma: Desktop
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(4318:1014:6217:1014) pci, sata_nv, STORAGE, 939NF6G-VSTA Board
:(4318:1014:6217:1014) pci, sata_nv, STORAGE, 939NF6G-VSTA Board
:(4318:1004:6217:1004) pci, pata_amd, STORAGE, 939NF6G-VSTA Board
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4318:982:6217:982) pci, nvidia, VIDEO, C61 [GeForce 7025 / nForce 630a]
:(4318:1000:6217:1000) pci, pcieport, PCI/PCI, 939NF6G-VSTA Board
:(4318:1009:6217:1009) pci, ohci_hcd, USB, 939NF6G-VSTA Board
:(4318:1010:6217:1010) pci, ehci_hcd, USB, 939NF6G-VSTA Board
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4318:1001:6217:1001) pci, pcieport, PCI/PCI, 939NF6G-VSTA Board
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4318:1011:6217:1011) pci, None, PCI/PCI, 939NF6G-VSTA Board
:(4318:1007:6217:1007) pci, forcedeth, BRIDGE, 939NF6G-VSTA Board
:(4318:1001:6217:1001) pci, pcieport, PCI/PCI, 939NF6G-VSTA Board
:(4318:994:6217:994) pci, None, RAM, MCP61 LPC Bridge
:(4318:1008:6217:919) pci, snd_hda_intel, MULTIMEDIA, MCP61 High Definition Audio
:(4318:1013:6217:1003) pci, None, RAM, 939NF6G-VSTA Board
:(4318:1003:6217:1003) pci, nForce2_smbus, SERIAL, 939NF6G-VSTA Board
:(4318:993:6217:993) pci, None, PCI/ISA, MCP61 LPC Bridge
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda5 / ext4 4096 4096 31424757 29478073 29163553 7864320 7687446 7687446
:/dev/sdb1 WITHHELD fuseblk 4096 4096 40208639 3418166 3418166 13738200 13708121 13708121
:/dev/sda1 WITHHELD fuseblk 4096 4096 25599 19337 19337 142884 142789 142789
:/dev/sda6 WITHHELD fuseblk 4096 4096 177386495 35257286 35257286 141094680 141082568 141082568
:/dev/sda2 WITHHELD fuseblk 4096 4096 157286399 2955082 2955082 12246312 11903955 11903955
:/dev/sda3 /boot ext4 1024 1024 508745 405576 379976 128016 127615 127615
:
Comment 1 Agustin Ferrario 2012-06-18 16:14:26 EDT
Click on the envelope to see my mail

Package: emesene-2.11.11-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 erjacker 2012-06-30 09:05:14 EDT
darle al boton de la bandeja de entrada del correo

Package: emesene-2.11.11-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 3 shakka.by 2012-07-04 18:42:08 EDT
Clicked on the mail button.

Package: emesene-2.11.11-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Germano Massullo 2012-10-07 05:12:35 EDT
I clicked on the e-mail button and I got this error message

Package: emesene-2.11.11-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Fedora End Of Life 2013-07-03 18:46:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 20:54:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.